G21

M108 G58Y rmr_rear
M102 G54Y (G59Y - (G58Y * 25.4))

M108 G58X slide_type
M108 G58Z sanity_checks_disabled

(If slide is G43/48, throw error)
M102 G58Y if((((G58X != 2) or (G58Z == 1))), 0, 1)
M106 G58Y == 0 Error: You cannot mill an RMR footprint on a Glock 43 / Glock 48 slide. Only rear RMS / RMSc footprints can be milled on Glock 43/48 slides. Please restart and choose the RMS / RMSc rear footprint. If you wish to override this error message and proceed in spite of our advice, run the "Disable Sanity Checking" job in the job list and then return to this job.

(If slide is 1911, throw error)
M102 G58Y if((((G58X != 3) or (G58Z == 1))), 0, 1)
M106 G58Y == 0 Error: You cannot mill an RMR footprint on a 1911 slide. Only rear RMS / RMSc footprints can be milled on 1911 slides. Please restart and choose the RMS / RMSc rear footprint. If you wish to override this error message and proceed in spite of our advice, run the "Disable Sanity Checking" job in the job list and then return to this job.

(Set that we are doing RMR rear)
M107 footprint_type 2

(Set left hole)
M102 G55X G59X-(0.37 * 25.4)
M102 G55Y G54Y+(0.75 * 25.4)

(Set right hole)
M102 G56X G59X+(0.37 * 25.4)
M102 G56Y G54Y+(0.75 * 25.4)